/*
*	ogl_extensions.cpp
*
*	Programmé par Hillaire Sébastien
*
*
*	Se référé au fichier en-tête .h pour plus de détail
*
*/

#include "ogl_extensions.h"
#include "MemoryManager/DebugNew.h"


bool ogl_extensions::extensionSupported(const char *ext)
{
	int extLen = strlen(ext);
	char *p = (char *)glGetString(GL_EXTENSIONS);
	char *end;
	if (p==NULL)
		return false;
	end = p + strlen(p);
	while (p < end)
	{
		int n = strcspn(p," ");
		//pour chaque chaine séparer par " " on compare avec l'extension rechercher
		if ((extLen ==n) && (strncmp(ext,p,n) == 0))
			return true;	//extension trouvé donc supportée
		p += (n+1);			//on ce décale dans la chaine pour la prochaine chaine à copmparer
	}
	return false;			//on n'a pas trouvé l'extension : elle n'est pas supportées
}
